aspose file tools*
The moose likes JBoss/WildFly and the fly likes Multiple class loaders error Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of Spring in Action this week in the Spring forum!
JavaRanch » Java Forums » Products » JBoss/WildFly
Bookmark "Multiple class loaders error" Watch "Multiple class loaders error" New topic
Author

Multiple class loaders error

Dilip kumar
Ranch Hand

Joined: Oct 16, 2000
Posts: 360
Hello All,

I'm getting below mentioned errors while running my J2EE application. Not sure what's the issue. Really appreciate any suggestions. Thanks.

Ernest Friedman-Hill
author and iconoclast
Marshal

Joined: Jul 08, 2003
Posts: 24187
    
  34

I guess you've got multiple copies of log4j.jar installed in your server or app. I'm going to move this to our JBoss forum.


[Jess in Action][AskingGoodQuestions]
Jaikiran Pai
Marshal

Joined: Jul 20, 2005
Posts: 10210
    
166

Dilip,

As already mentioned by Ernest, you probably are packaging a log4j jar with your application. JBoss already comes shipped with a log4j jar version of its own. If you want to package the log4j jar with your application then you will have to enable classloader scoping of your application. The other option you have, is to remove the log4j jar from your application and use the one that comes with JBoss.


[My Blog] [JavaRanch Journal]
 
Don't get me started about those stupid light bulbs.
 
subject: Multiple class loaders error